<?php
/**
* WMI admin controller file for WebMoney WMI Component 
*
* @package com_wmi
* @version 1.5.0
* @copyright Copyright (C) 2005 Open Source Matters. All rights reserved.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

/**
 * WMI Controller
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class WMIAControllerWMI extends WMIAController
{
	/**
	 * constructor (registers additional tasks to methods)
	 * @return void
	 */
	function __construct()
	{
		parent::__construct();

		// Register Extra tasks
		$this->registerTask( 'add' , 'edit' );
	}

	/**
	 * display the edit form
	 * @return void
	 */
	function edit()
	{
		// prepare edit form
		JRequest::setVar( 'view', 'wmi' );
		JRequest::setVar( 'layout', 'form'  );
		JRequest::setVar('hidemainmenu', 1);

		parent::display();
	}

	/**
	 * save a record (and redirect to main page)
	 * @return void
	 */
	function save()
	{
		// Get the model
		$model = $this->getModel('wmi');

		// Save the record
		if ($model->store($post)) {
			$msg = JText::_( 'Transation Saved!' );
		} else {
			$msg = JText::_( 'Error Saving Transaction' );
		}

		// Check the table in so it can be edited.... we are done with it anyway
		$link = 'index.php?option=com_wmi';
		$this->setRedirect($link, $msg);
	}

	/**
	 * remove record(s)
	 * @return void
	 */
	function remove()
	{
		// Get the model
		$model = $this->getModel('wmi');

		// Try to delete records
		if(!$model->delete()) {
			$msg = JText::_( 'Error: One or More Transactions Could not be Deleted' );
		} else {
			$msg = JText::_( 'Transaction(s) Deleted' );
		}

		$this->setRedirect( 'index.php?option=com_wmi', $msg );
	}

	/**
	 * cancel editing a record
	 * @return void
	 */
	function cancel()
	{
		$msg = JText::_( 'Operation Cancelled' );
		$this->setRedirect( 'index.php?option=com_wmi', $msg );
	}

}
?>
