﻿<?php
/**
* WMIA model file for WebMoney WMI Component 
*
* @package com_wmi
* @version 1.5.0
* @copyright Copyright (C) 2005 Open Source Matters. All rights reserved.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

jimport( 'joomla.application.component.model' );

/**
 * WMI Model
 *
 */
class WMIAModelWMIA extends JModel
{
	/**
	 * WMIA data array
	 *
	 * @var array
	 */
	var $_data = null;

	/**
	 * Items total
	 * @var integer
	*/
	var $_total = null;

	/**
	 * Pagination object
	 * @var object
	*/
	var $_pagination = null;

	// Constructor
	function __construct()
  	{
	 	parent::__construct();

		global $mainframe, $option;

		// Get pagination request variables
		$limit = $mainframe->getUserStateFromRequest('global.list.limit', 'limit', $mainframe->getCfg('list_limit'), 'int');
		$limitstart = $mainframe->getUserStateFromRequest($option.'.limitstart', 'limitstart', 0, 'int');

		// In case limit has been changed, adjust it
		$limitstart = ($limit != 0 ? (floor($limitstart / $limit) * $limit) : 0);

		$this->setState('limit', $limit);
		$this->setState('limitstart', $limitstart);
	}

	/**
	 * Returns the query
	 * @return string The query to be used to retrieve the rows from the database
	 */
	function _buildQuery()
	{
		$query = ' SELECT * '
		. ' FROM #__wmi ';
		return $query;
	}

	// Get the total number of records returned
  	function getTotal()
  	{
 		// Load the content if it doesn't already exist
 		if (empty($this->_total)) {
 	 		$query = $this->_buildQuery();
 			$this->_total = $this->_getListCount($query);	
 		}
 		return $this->_total;
  	}

	// Pagination handling
  	function getPagination()
  	{
 		// Load the content if it doesn't already exist
		if (empty($this->_pagination)) {
			jimport('joomla.html.pagination');
			$this->_pagination = new JPagination($this->getTotal(), $this->getState('limitstart'), $this->getState('limit') );
		}
		return $this->_pagination;
	}

	/**
	 * Retrieves the data
	 * @return array Array of objects containing the data from the database
	 */
	function getData()
	{
		// Let's load the data if it doesn't already exist
		if (empty( $this->_data ))
		{
			$query = $this->_buildQuery();
			$this->_data = $this->_getList( $query, $this->getState('limitstart'), $this->getState('limit') );
		}
		return $this->_data;
	}
}
?>
